Subject: Re: [PATCH v3 00/26] mm: introduce numa_memblks

From: Jonathan Cameron <[email-masked]>
Date: Fri, 2 Aug 2024 17:44:43 +0100

On Thu,  1 Aug 2024 09:08:00 +0300
Mike Rapoport <[email-masked]> wrote:

> From: "Mike Rapoport (Microsoft)" <[email-masked]>
> 
> Hi,
> 
> Following the discussion about handling of CXL fixed memory windows on
> arm64 [1] I decided to bite the bullet and move numa_memblks from x86 to
> the generic code so they will be available on arm64/riscv and maybe on
> loongarch sometime later.
> 
> While it could be possible to use memblock to describe CXL memory windows,
> it currently lacks notion of unpopulated memory ranges and numa_memblks
> does implement this.
> 
> Another reason to make numa_memblks generic is that both arch_numa (arm64
> and riscv) and loongarch use trimmed copy of x86 code although there is no
> fundamental reason why the same code cannot be used on all these platforms.
> Having numa_memblks in mm/ will make it's interaction with ACPI and FDT
> more consistent and I believe will reduce maintenance burden.
> 
> And with generic numa_memblks it is (almost) straightforward to enable NUMA
> emulation on arm64 and riscv.

Tested-by: Jonathan Cameron <[email-masked]> #arm64 + CXL via QEMU
With that one fix in patch 7.

Feel free to figure out which patches actually got tested by that
(or tag them all - I'll pretend I tested ip27 :)

Jonathan